Package org.jbpm.executor.impl.jpa

## Class RequestInfoDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>
      - - org.jbpm.executor.impl.jpa.RequestInfoDeleteBuilderImpl

- All Implemented Interfaces:
    `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`

      public class RequestInfoDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>
      implements org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `AbstractAuditDeleteBuilderImpl.Subquery`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `deploymentId, executor, jpaAuditService, recordsPerTransaction, statuses`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestInfoDeleteBuilderImpl​(JPAAuditLogService jpaAuditService)` |
    `RequestInfoDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `date​(Date... date)` |
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `dateRangeEnd​(Date rangeStart)` |
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `dateRangeStart​(Date rangeStart)` |
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `deploymentId​(String... deploymentId)` |
    `protected String` | `getQueryTable()` |
    `protected Class` | `getQueryType()` |
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `status​(org.kie.api.executor.STATUS... status)` |

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `applyParameters, build, checkIfNull, ensureDateNotTimestamp, getJpaAuditLogService, getSubQuery, isSubquerySupported, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### RequestInfoDeleteBuilderImpl

          public RequestInfoDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)

    - #### RequestInfoDeleteBuilderImpl

          public RequestInfoDeleteBuilderImpl​(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### date

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder date​(Date... date)

      Specified by:
        `date` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`
      Overrides:
        `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

    - #### dateRangeStart

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder dateRangeStart​(Date rangeStart)

      Specified by:
        `dateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`
      Overrides:
        `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

    - #### dateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder dateRangeEnd​(Date rangeStart)

      Specified by:
        `dateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`
      Overrides:
        `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

    - #### deploymentId

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder deploymentId​(String... deploymentId)

      Specified by:
        `deploymentId` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`

    - #### status

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder status​(org.kie.api.executor.STATUS... status)

      Specified by:
        `status` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`

    - #### getQueryType

          protected Class getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

    - #### getQueryTable

          protected String getQueryTable()

      Specified by:
        `getQueryTable` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`